import { Input } from '@angular/core';
import { Component, OnInit,AfterViewInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
  selector: 'fm-help-menu',
  templateUrl: './help-menu.component.html',
  styleUrls: ['./help-menu.component.scss']
})
export class HelpMenuComponent implements OnInit, AfterViewInit {
  
  @Input() user:IUser;
  @Input() showMenu:boolean;
  public noContent: boolean = true;

  constructor(private store: Store<appReducers.State>, private route: ActivatedRoute) { }

  ngOnInit(): void {
  }

  ngAfterViewInit() {
    this.route.children.forEach((entry) => {
      if(entry.outlet=="help-menu") {
        this.noContent=false;
      }
    });
  }

  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleHelpMenu());
  } 
}
