import { Component, OnInit, Input,AfterViewInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
  selector: 'fm-notification-menu',
  templateUrl: './notification-menu.component.html',
  styleUrls: ['./notification-menu.component.scss']
})
export class NotificationMenuComponent implements OnInit,AfterViewInit {

  @Input() unread:number;
  @Input() user:IUser;
  @Input() showMenu:boolean;
  public noContent: boolean = true;

  constructor(private store: Store<appReducers.State>, private route: ActivatedRoute) { }

  ngOnInit(): void {
  }

  ngAfterViewInit() {
    this.route.children.forEach((entry) => {
      if(entry.outlet=="notification-menu") {
        this.noContent=false;
      }
    });
  }

  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleNotificationMenu());
  } 

}
